--- a/arch/arm/boot/dts/kirkwood-nsa325.dts
+++ b/arch/arm/boot/dts/kirkwood-nsa325.dts
@@ -15,6 +15,13 @@
 	model = "ZyXEL NSA325";
 	compatible = "zyxel,nsa325", "marvell,kirkwood-88f6282", "marvell,kirkwood";
 
+	aliases {
+		led-boot = &led_green_sys;
+		led-failsafe = &led_orange_sys;
+		led-running = &led_green_sys;
+		led-upgrade = &led_orange_sys;
+	};
+
 	memory {
 		device_type = "memory";
 		reg = <0x00000000 0x20000000>;
@@ -162,17 +169,19 @@
 			     &pmx_led_hdd1_green &pmx_led_hdd1_red>;
 		pinctrl-names = "default";
 
-		green-sys {
+		led_green_sys: green-sys {
 			label = "nsa325:green:sys";
 			gpios = <&gpio0 28 GPIO_ACTIVE_HIGH>;
+			default-state = "on";
 		};
-		orange-sys {
+		led_orange_sys: orange-sys {
 			label = "nsa325:orange:sys";
 			gpios = <&gpio0 29 GPIO_ACTIVE_HIGH>;
 		};
 		green-hdd1 {
 			label = "nsa325:green:hdd1";
 			gpios = <&gpio1 9 GPIO_ACTIVE_HIGH>;
+			linux,default-trigger = "ata1";
 		};
 		red-hdd1 {
 			label = "nsa325:red:hdd1";
@@ -181,6 +190,7 @@
 		green-hdd2 {
 			label = "nsa325:green:hdd2";
 			gpios = <&gpio0 12 GPIO_ACTIVE_HIGH>;
+			linux,default-trigger = "ata2";
 		};
 		red-hdd2 {
 			label = "nsa325:red:hdd2";
@@ -189,6 +199,7 @@
 		green-usb {
 			label = "nsa325:green:usb";
 			gpios = <&gpio0 15 GPIO_ACTIVE_HIGH>;
+			linux,default-trigger = "usb-host";
 		};
 		green-copy {
 			label = "nsa325:green:copy";
